def appartient(d, B):
    vecteur_AB = ( B[0]-d[1][0] , B[1]-d[1][1] )
    vecteur_u = ( d[0][0] , d[0][1] )
    determinant = vecteur_AB[0]*vecteur_u[1] - vecteur_AB[1]*vecteur_u[0]
    return determinant == 0
